For the complete documentation index, see llms.txt. This page is also available as Markdown.

DEX Bot

Get all DEX signal bots

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's DEX signal bots

application/json
DexSignalBot[]Optional
get/api/v2/bot/signal/dex
GET /api/v2/bot/signal/dex HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's DEX signal bots

[]

Create a new DEX signal bot

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the bot max 255 characters

Example: My bot
folder_idnumberOptional

The folder id of the bot

Example: 12
webhook_idnumberRequired

The id of a bot webhook

Example: 1
factory_idnumberRequired

The id of a bot factory

Example: 1
chain_idnumberRequired

The id of a chain

Example: 137
addressstringRequired

The address of the bot

Example: 0x1234567890123456789012345678901234567890
symbolstringRequired

The symbol of the bot

Example: BTC
delaynumberOptional

Set how often the bot will check for new signals. eg. 10 means 10 in 1 second

Example: 10
Responses
201

DEX signal bot created successfully

application/json
anyOptional
post/api/v2/bot/signal/dex
POST /api/v2/bot/signal/dex HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 164

{
  "name": "My bot",
  "folder_id": 12,
  "webhook_id": "1",
  "factory_id": "1",
  "chain_id": "137",
  "address": "0x1234567890123456789012345678901234567890",
  "symbol": "BTC",
  "delay": 10
}

No content

Get the total number of DEX signal bots

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

Total number of DEX signal bots

application/json
totalnumberOptionalExample: 10
get/api/v2/bot/signal/dex/total
GET /api/v2/bot/signal/dex/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

Total number of DEX signal bots

{
  "total": 10
}

Get DEX signal bot by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

DEX signal bot details

application/json
anyOptional
get/api/v2/bot/signal/dex/{id}
GET /api/v2/bot/signal/dex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update DEX signal bot

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
namestringOptional

The name of the bot max 255 characters

Example: My bot
folder_idnumberOptional

The folder id of the bot

Example: 12
webhook_idnumberRequired

The id of a bot webhook

Example: 1
symbolstringRequired

The symbol of the bot

Example: BTC
delaynumberOptional

Set how often the bot will check for new signals. eg. 10 means 10 in 1 second

Example: 10
Responses
200

DEX signal bot updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/bot/signal/dex/{id}
PUT /api/v2/bot/signal/dex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 75

{
  "name": "My bot",
  "folder_id": 12,
  "webhook_id": "1",
  "symbol": "BTC",
  "delay": 10
}
{
  "message": "Success"
}

Delete DEX signal bot

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

DEX signal bot deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/bot/signal/dex/{id}
DELETE /api/v2/bot/signal/dex/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Get DEX signal bot by chain and address

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
chainIdstringRequired
addressstringRequired
Responses
200

DEX signal bot details

application/json
anyOptional
get/api/v2/bot/signal/dex/{chainId}/{address}
GET /api/v2/bot/signal/dex/{chainId}/{address} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Get bot factory by chain and exchange

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
chainIdstringRequired
exchangeIdstringRequired
Responses
200

Factory details

application/json
anyOptional
get/api/v2/bot/signal/dex/factory/{chainId}/{exchangeId}
GET /api/v2/bot/signal/dex/factory/{chainId}/{exchangeId} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update DEX signal bot status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/bot/signal/dex/{id}/status
PUT /api/v2/bot/signal/dex/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Last updated